#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library of Assorted Spiffy Things
Summary(pl.UTF-8):	Biblioteka AST (Assorted Spiffy Things)
Name:		libast
Version:	0.7
Release:	4
License:	BSD
Group:		Libraries
Source0:	http://www.eterm.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	a9ec3b2da317f35869316e6d9571d296
URL:		http://www.eterm.org/
BuildRequires:	automake
BuildRequires:	imlib2-devel
BuildRequires:	pcre-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibAST is the Library of Assorted Spiffy Things. It contains various
handy routines and drop-in substitutes for some good-but-non-portable
functions. It currently has a built-in memory tracking subsystem as
well as some debugging aids and other similar tools.

%description -l pl.UTF-8
LibAST to biblioteka Assorted Spiffy Things. Zawiera różne podręczne
procedury i zastępniki niektórych dobrych, ale nie przenośnych
funkcji. Aktualnie ma wbudowany system śledzenia pamięci, trochę
pomocy odpluskwiających i parę podobnych narzędzi.

%package devel
Summary:	Library of Assorted Spiffy Things header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki AST
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	imlib2-devel
Requires:	pcre-devel

%description devel
Header files and development documentation for libast.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do libast.

%package static
Summary:	Libast static libraries
Summary(pl.UTF-8):	Biblioteki statyczne libast
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Libast static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne libast.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_libdir}/libast.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libast.so.2

%files devel
%defattr(644,root,root,755)
%doc DESIGN
%attr(755,root,root) %{_bindir}/libast-config
%attr(755,root,root) %{_libdir}/libast.so
%{_libdir}/libast.la
%{_includedir}/libast*
%{_aclocaldir}/libast.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libast.a
%endif
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libast.git;a=log;h=master

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f17cb20
- ghost soname symlink
- rel 4

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 128598c
- release 3

* Sun Dec 07 2008 hawk <hawk@pld-linux.org> c33aecf
- release 2

* Tue Jun 03 2008 Karol Krenski <charles@pld-linux.org> cd0b635
- rm redundant BR XFree86-devel (imlib2-devel deps)

* Mon Aug 20 2007 witekfl <witekfl@pld-linux.org> a45480d
- added bcond_without static_libs

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c4b79b9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 634b6d0
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 7dfd75e
- orphaned, outdated

* Fri Feb 17 2006 psz <psz@pld-linux.org> ec2fdf2
- security rebuild: CVE-2006-0224
- STBR (first build and upgrade libast HEAD)

* Sat Jan 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 37e463b
- devel deps

* Sat Jan 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 54bba3b
- updated to 0.7 (fixes CVE-2006-0224; note: new soname)

* Thu Dec 30 2004 Karol Krenski <charles@pld-linux.org> 55333b3
- Oops... md5?

* Thu Dec 30 2004 Karol Krenski <charles@pld-linux.org> 3643515
- updated to 0.6.1
- removed obsolete am18.patch
- removed redundant freetype1-devel (use freetype-devel <-> XFree86-devel)

* Fri Apr 23 2004 Paweł Gołaszewski <blues@pld-linux.org> b94460f
- release 6 for AC

* Fri Apr 23 2004 Paweł Gołaszewski <blues@pld-linux.org> d4d50c8
- release 5

* Fri Apr 02 2004 Jakub Bogusz <qboosh@pld-linux.org> b7c4c47
- added am18 patch, release 4

* Fri Apr 02 2004 Jakub Bogusz <qboosh@pld-linux.org> f34c7cb
- libast.m4 quotation fix

* Mon Jan 05 2004 Jacek Konieczny <jajcus@pld-linux.org> abe629a
- include aclocal file in the package

* Mon Jan 05 2004 Jacek Konieczny <jajcus@pld-linux.org> 24f2f12
- update config.sub (for AMD64 support)

* Sun Nov 23 2003 speedy <speedy@pld-linux.org> fa9bb01
- release 2

